<?php

$wp_customize->add_panel(
    'peccular_general_panel',
    array(
        'priority' => 22,
        'title' => __('General Configuration', 'peccular Premium')
    )
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
    'title' => __( 'Static Front Page', 'peccular Premium' ),
    'panel' => 'peccular_general_panel',
    'description' => __( 'Your theme supports a static front page.', 'peccular Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
    'title' => __( 'Site Logo/Title/Tagline', 'peccular Premium' ),
    'panel' => 'peccular_general_panel',
) );

//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
    'title' => __( 'Background Image Setting', 'peccular Premium' ),
    'panel' => 'peccular_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
    'title' => __( 'Header Image', 'peccular Premium' ),
    'panel' => 'peccular_general_panel',
) );


//HEADER SETTINGS
$wp_customize->add_section(
    'header_settings',
    array(
        'title' => __( 'Header Settings', 'peccular Premium' ),
        'panel' => 'peccular_general_panel',
    )
);

// $wp_customize->add_setting(
//     'inner_headertitleboxstickyTpadding',
//     array(
//         'sanitize_callback' => 'peccular_sanitize_text',
//         'default'           => __( '10em', 'peccular-premium' )
//     )
// );
// $wp_customize->add_control(
//     'inner_headertitleboxstickyTpadding',
//     array(
//         'settings'      => 'inner_headertitleboxstickyTpadding',
//         'section'       => 'header_settings',
//         'type'          => 'text',
//         'label'         => __( 'Inner Sticky Page Title Box Top Padding', 'peccular-premium' )
//     )
// );







// lzCustomLable($wp_customize, 'header_clrlbtnTxt', 'header_settings', 'Set Header Button:');

// // appointment buttton
// $wp_customize->add_setting(
//     'headermain_headerbtntitle',
//     array(
//         'sanitize_callback' => 'peccular_sanitize_text',
//         'default'           => __( 'Quick Inquiry' )
//     )
// );
// $wp_customize->add_control(
//     'headermain_headerbtntitle',
//     array(
//         'settings'      => 'headermain_headerbtntitle',
//         'section'       => 'header_settings',
//         'type'          => 'text',
//         'label'         => __( 'Header Button Text', 'peccular-premium' )
//     )
// );
// $wp_customize->add_setting('header_headerbtn',  array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('header_headerbtn',
//     array(
//         'settings'      => 'header_headerbtn',
//         'section'       => 'header_settings',
//         'type'          => 'url',
//         'label'         => __( 'Add button link here', 'peccular-premium' )
//     )
// );


// //Set header button colour
// addColorPalatOption($wp_customize, 'headerbtn_color', 'header_settings', 'Header Button Color', '');

// //Set header button bg colour
// addColorPalatOption($wp_customize, 'headerbtnbg_color1', 'header_settings', 'Header Button Background Color', '');

// //Set header button bg colour
// addColorPalatOption($wp_customize, 'headerbtnbg_color2', 'header_settings', 'Header Button Background Color', '');

// //Set header button bg hover colour
// addColorPalatOption($wp_customize, 'headerbtnbghover_color', 'header_settings', 'Header Button Background Hover Color', '');

// //Set header button hover colour
// addColorPalatOption($wp_customize, 'headerbtnhover_color', 'header_settings', 'Header Button Hover Color', '');

// //Set header button icon colour
// addColorPalatOption($wp_customize, 'headerbtnicon_color', 'header_settings', 'Header Button Icon Color', '');

// //Set header button icon hover colour
// addColorPalatOption($wp_customize, 'headerbtniconbg_color', 'header_settings', 'Header Button Icon Hover Color', '');


//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
    'title' => __( 'Colors' , 'peccular Premium'),
    'panel' => 'peccular_general_panel',
) );
//theme primary color
addColorPalatOption($wp_customize, 'peccular_template_color', 'colors', 'Theme Primary Color', '#7C4B2A');
//theme Secondary color
addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#707070eb');


  
lzCustomLable($wp_customize, 'allblog_heading2label', 'peccular_blogpage_settings', 'Post Heading Font Size Setting:');

$wp_customize->add_setting(
    'blogpages_innerpageheading2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '23px', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'blogpages_innerpageheading2',
    array(
        'settings'      => 'blogpages_innerpageheading2',
        'section'       => 'peccular_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Post Heading Font Size', 'peccular-premium' )
    )
);




lzCustomLable($wp_customize, 'allblog_lblbuttonabtdisplay', 'peccular_blogpage_settings', 'Post Date & Admin Display Setting:');

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'peccular_blogpage_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Date & Admin', 'hide' => 'Hide Post Date & Admin', ), ) ); 

// end to show & hide button


lzCustomLable($wp_customize, 'singleblog_lblbuttonabtdisplay', 'peccular_blogpage_settings', 'Post social Icons Display Setting:');


//for POSTPAGEsocialsshare to show & hide button

$wp_customize->add_setting( 'postsocialsshare_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postsocialsshare_button_display', array( 'label' => 'Post social Icons Display', 'section' => 'peccular_blogpage_settings', 'settings' => 'postsocialsshare_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Social Icons', 'hide' => 'Hide Social Icons', ), ) ); 

// end to show & hide button