<?php    
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package peccular Premium
 */  
 
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	<link rel="preconnect" href="https://fonts.gstatic.com"> 
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap" rel="stylesheet">
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap" rel="stylesheet">

<link rel="preconnect" href="https://fonts.gstatic.com"> 
<link href="https://fonts.googleapis.com/css2?family=Allerta&display=swap" rel="stylesheet">
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/home1.css">
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/teampopup.css">

	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>


	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div class="main-container">
		
	<div id="loading-area"><div class="la-anim-10"></div></div>
	<!-- header -->
	<!-- #masthead -->


<?php if(get_theme_mod('peccular_header_style', 'On Slider') == 'On Slider' ){ ?>
<header class="site-header header-transparent header mo-left header-seo" style="position:absolute;">
	<div class="<?php if(get_theme_mod('peccular_header_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_header_width','Box Width') == 'Full Width'){ ?> container-fluid pd-0<?php }?>">
		
	<div class="row ">
		<div class="col-xl-2 col-lg-2 col-md-2 col-sm-2 col-xs-2 logo">
							<div class="inside-full-height">
							<?php 
							
								if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
									$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
								}
								if( get_theme_mod('pages_logoheight',true) ) {
									$pages_logoheight = 'height:'.esc_attr(get_theme_mod('pages_logoheight')).';';
								}
								if( get_theme_mod('pages_logoToppadding',true) ) {
									$pages_logoToppadding = 'padding-top:'.esc_attr(get_theme_mod('pages_logoToppadding')).';';
								}
								if( get_theme_mod('pages_logobottompadding',true) ) {
									$pages_logobottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('pages_logobottompadding')).';';
								}
								if( get_theme_mod('pages_logoTopmargin',true) ) {
									$pages_logoTopmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTopmargin')).';';
								}
								if( get_theme_mod('pages_logobottommargin',true) ) {
									$pages_logobottommargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logobottommargin')).';';
								}

								?>
								<!-- website logo -->
								<div class="logo-header">
				            <?php 
									if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
										the_custom_logo();
								else : 
									if ( is_front_page() ) : ?>
										<?php if (get_theme_mod('peccular_show_site_title',true)) : ?>
										<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
										<?php endif; ?>
										<?php else : ?>
											<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
										<?php endif; ?>
									<?php endif; ?>
								</div>
							</div>
		</div>
		<div class="col-xl-10 col-lg-10 col-md-10 col-sm-10 col-xs-12">
			<?php if( get_theme_mod('header_SVGScaleImage_display','show' ) == 'show') :
              				?> 
			<div class="TopSVGimage1">
		         <?php  
		         echo '<img alt="about us" src="'.get_template_directory_uri().'/images/upsvgimage.png" class="peccular-counter-topsvgimgboxshape1" />';
		         ?>
    		</div> 
    		 <div class="BottomSVGimage1">
		         <?php  
		         echo '<img alt="about us" src="'.get_template_directory_uri().'/images/downsvgimage.png" class="peccular-counter-bottomsvgimgboxshape1" />';
		         ?>
    		</div> 
    		 <?php endif ?>
			<div class="maintop-header">		
					<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 head-brdr-bttom">
						<div class="row md-1">
							<div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 col-xs-12 pd-0">
									<?php if (get_theme_mod('peccular_show_tagline',true)) {?>
									<p class="ht-site-description"><?php bloginfo( 'description' ); ?></p>
									<?php }?>
							</div>	  
							<div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-xs-12 contct_btm_brdr">
								<div class="row">
									<div class="col-xl-7 col-lg-7 col-md-6 col-sm-12 col-xs-12 pd-0">
										<div class="address_text">
											<?php						
												$peccular_topheader_addresstext = get_theme_mod('peccular_topheader_addresstext', '4501 Shore Dr Maggie Valley');
												?>
												<?php if($peccular_topheader_addresstext){ ?>
											<i class="fa fa-map-marker" aria-hidden="true"></i><?php echo ($peccular_topheader_addresstext );  ?>
											<?php }?>
										</div>
									</div>
									<div class="col-xl-5 col-lg-5 col-md-6 col-sm-12 col-xs-12">
										<div class="head_phn">
													<?php						
												//$emailtxt = get_theme_mod('peccular_topheader_emailtext', 'info@youremail.com');
												$phone = get_theme_mod('peccular_topheader_phone', '555 5665 444');						
												?>
											 <?php if($phone){ ?>
													<i class="fa fa-phone" aria-hidden="true"></i><a class="h-phone" href="telto:<?php echo $phone;?>"><?php echo $phone ;?></a>									
											 <?php }?>
										</div>
										
									</div>
								</div>
							</div>
							
					<div class="col-xl-2 col-lg-2 col-md-12 col-sm-12 col-xs-12 pd-0">
						<div class="head_btn">
						   		<?php
			                    $peccular_header_acbutton_text = get_theme_mod('peccular_header_acbutton_text', 'contact us'); 
			                    $peccular_headermyaccounturl = get_theme_mod('peccular_headermyaccounturl', 'Add "Header Button" link here');
			                 	?>
			                    <?php if( get_theme_mod('peccular_header_sbutton_enable',true) == true){ ?>
			                       <a href="<?php echo $peccular_headermyaccounturl; ?>" class="header-shopbtn" title="headermyaccount"><?php echo ($peccular_header_acbutton_text );  ?></a>
			                    <?php }?>
			         </div>
						<div class="clearfix"></div>
				 	</div>
				</div>
				</div>
					<div class="clearfix"></div>
				<div class="clearfix"></div>
				</div><!-- maintop-header -->
				<div class="clearfix"></div>
			<div class="mainbottom-header top-bar-head bottom-header <?php echo esc_attr(bakerystore_sticky_menu()); ?>" style="border-radius: 0px;">
												<!-- <div class="row row-eq-height"> -->
						<div class="header-nav-area">
											 
						<div class="row row-eq-height md-1">
						
						<div class="col-xl-9 col-lg-9 col-md-9 col-sm-9 col-xs-9 head-menu pd-0">
							<div class="inside-full-height">
							<?php
								if( get_theme_mod('menu_fontsize',true) ) {
									$menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('menu_fontsize')).';';
								}
								if( get_theme_mod('dropdown_menu_fontsize',true) ) {
									$dropdown_menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('dropdown_menu_fontsize')).';';
								}
							?>
							<div class="col-xl-12 col-lg-12 col-md-6 col-sm-12 col-xs-12 ">
								<div class="row md-1">
							<div class="site-navigation">
		                        <div class="hamburger-menus">
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                        </div>
		                        <nav class="navigation">
		                            <div class="overlaybg"></div><!--  /.overlaybg -->
		                            <!-- Main Menu -->
		                            <div class="menu-wrapper">
		                                <div class="menu-content">
		                                    <?php
		                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        } else {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        }
		                                    ?>
		                                </div> <!-- /.hours-content-->

		                              

									<div class="clearfix"></div>

		                            </div><!-- /.menu-wrapper --> 
		                        </nav>	
		                     	                       
		                    </div><!--  /.site-navigation -->		                   
						</div>
					</div><!-- col 12 icons -->
							

		                    </div>
		                    <div class="clearfix"></div>
						  </div>
						  <div class="col-xl-3 col-lg-3 col-md-6 col-sm-6 col-xs-6 socials">
								<?php
							$facebook = get_theme_mod('peccular_header_fb', '//facebook.com/');
							$twitter = get_theme_mod('peccular_header_tw', '//twitter.com/');	
							$instagram = get_theme_mod('peccular_header_instagram', '//instagram.com/');			
							$telegram = get_theme_mod('peccular_header_telegram', 'https://www.telegram.com');
							?>

								<div class="clearfix">
									<?php if(!empty($facebook)){ ?>
										<a href="<?php echo $facebook ?>" title="Facebook" class="site-button sharp" target="_blank"><i class="fa fa-facebook"></i></a>
									<?php }?>

									<?php if(!empty($twitter)){ ?>
										<a href="<?php echo $twitter ?>" title="Twitter" class="site-button sharp" target="_blank"><i class="fa fa-twitter"></i></a>
									<?php }?>
									
									<?php if(!empty($instagram)){ ?>
										<a href="<?php echo $instagram ?>" title="Instagram" class="site-button sharp" target="_blank"><i class="fa fa-instagram"></i></a>
									<?php }?>

									<?php if(!empty($telegram)){ ?>
										<a href="<?php echo $telegram ?>" title="telegram" class="site-button sharp" target="_blank"><i class="fa fa-telegram"></i></a>
									<?php }?>									

								</div>
					</div>
						</div>
						<!-- <div class="header-bottom-border"></div> -->	
					</div>
					</div><!-- sticky header -->			
				<div class="clearfix"></div>
		</div>
	</div>
	

			</div>

			<!--end main top header-->	
					<div class="clearfix"></div>
</div>
</header>
	
		 <?php } elseif(get_theme_mod('peccular_header_style', 'On Slider') == 'Above Slider' ){ ?>

		 <header class="site-header header-transparent header mo-left header-seo" style="position:relative">
		 	<div class="<?php if(get_theme_mod('peccular_header_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_header_width','Box Width') == 'Full Width'){ ?> container-fluid pd-0<?php }?>">
		 		
		 	<div class="row ">
		 		<div class="col-xl-2 col-lg-2 col-md-2 col-sm-2 col-xs-2 logo">
							<div class="inside-full-height">
							
							<?php 
							
								if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
									$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
								}
								if( get_theme_mod('pages_logoheight',true) ) {
									$pages_logoheight = 'height:'.esc_attr(get_theme_mod('pages_logoheight')).';';
								}
								if( get_theme_mod('pages_logoToppadding',true) ) {
									$pages_logoToppadding = 'padding-top:'.esc_attr(get_theme_mod('pages_logoToppadding')).';';
								}
								if( get_theme_mod('pages_logobottompadding',true) ) {
									$pages_logobottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('pages_logobottompadding')).';';
								}
								if( get_theme_mod('pages_logoTopmargin',true) ) {
									$pages_logoTopmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTopmargin')).';';
								}
								if( get_theme_mod('pages_logobottommargin',true) ) {
									$pages_logobottommargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logobottommargin')).';';
								}


								?>
								<!-- website logo -->
								<div class="logo-header">
						

				            <?php 
									if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
										the_custom_logo();
								else : 
									if ( is_front_page() ) : ?>
										<?php if (get_theme_mod('peccular_show_site_title',true)) : ?>
										<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
										<?php endif; ?>
										<?php else : ?>
											<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
										<?php endif; ?>
									<?php endif; ?>
								</div>
							</div>
						</div>
  
						<div class="col-lg-10 col-md-10 col-sm-10 col-xs-10">
							<?php if( get_theme_mod('header_SVGScaleImage_display','show' ) == 'show') :
              				?> 
							<div class="TopSVGimage1">
						         <?php  
						         echo '<img alt="about us" src="'.get_template_directory_uri().'/images/upsvgimage.png" class="peccular-counter-topsvgimgboxshape1" />';
						         ?>
    						</div> 
    						 <div class="BottomSVGimage1">
						         <?php  
						         echo '<img alt="about us" src="'.get_template_directory_uri().'/images/downsvgimage.png" class="peccular-counter-bottomsvgimgboxshape1" />';
						         ?>
    						</div> 
    						 <?php endif ?>
							<div class="maintop-header">
					<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 head-brdr-bttom">
				<div class="row md-1">
				<div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 col-xs-12 pd-0">
					
					<?php if (get_theme_mod('peccular_show_tagline',true)) {?>
					<p class="ht-site-description"><?php bloginfo( 'description' ); ?></p>
					<?php }?>
					 
				</div>
				<div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-xs-12 contct_btm_brdr">
					<div class="row">
						<div class="col-xl-7 col-lg-7 col-md-6 col-sm-12 col-xs-12 pd-0">
							<div class="address_text">
								<?php						
									$peccular_topheader_addresstext = get_theme_mod('peccular_topheader_addresstext', '4501 Shore Dr Maggie Valley');
								?>
									<?php if($peccular_topheader_addresstext){ ?>
								<i class="fa fa-map-marker" aria-hidden="true"></i><?php echo ($peccular_topheader_addresstext );  ?>
								<?php }?>
							</div>
					  
						</div>
						<div class="col-xl-5 col-lg-5 col-md-6 col-sm-12 col-xs-12">
							<div class="head_phn">
								<?php						
									//$emailtxt = get_theme_mod('peccular_topheader_emailtext', 'info@youremail.com');
									$phone = get_theme_mod('peccular_topheader_phone', '555 5665 444');						
									?>
									<?php if($phone){ ?>
										<i class="fa fa-phone" aria-hidden="true"></i><a class="h-phone" href="telto:<?php echo $phone;?>"><?php echo $phone ;?></a>									
									<?php }?>
							</div>
									
						</div>
					</div>
				</div>
					
				<div class="col-xl-2 col-lg-2 col-md-12 col-sm-12 col-xs-12 pd-0">
						<div class="head_btn">
						   		<?php
			                    $peccular_header_acbutton_text = get_theme_mod('peccular_header_acbutton_text', 'contact us'); 
			                    $peccular_headermyaccounturl = get_theme_mod('peccular_headermyaccounturl', 'Add "Header Button" link here');
			                 	?>
		                    <?php if( get_theme_mod('peccular_header_sbutton_enable',true) == true){ ?>
		                       <a href="<?php echo $peccular_headermyaccounturl; ?>" class="header-shopbtn" title="headermyaccount"><?php echo ($peccular_header_acbutton_text );  ?></a>
		                    <?php }?>
                  </div>
					
					<div class="clearfix"></div>
				 </div>
				</div>
				</div>
					<div class="clearfix"></div>
				<div class="clearfix"></div>
				</div><!-- maintop-header" -->
				<div class="clearfix"></div>
					<div class="mainbottom-header top-bar-head bottom-header <?php echo esc_attr(bakerystore_sticky_menu()); ?>" style="border-radius: 0px;">						
						<div class="header-nav-area">						
						<div class="row row-eq-height md-1">
						
						<div class="col-lg-9 col-md-9 col-sm-9 col-xs-9 head-menu pd-0">
							<div class="inside-full-height">
							<?php
								if( get_theme_mod('menu_fontsize',true) ) {
									$menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('menu_fontsize')).';';
								}
								if( get_theme_mod('dropdown_menu_fontsize',true) ) {
									$dropdown_menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('dropdown_menu_fontsize')).';';
								}
							?>
					<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 ">
						<div class="row md-0">
						<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 pd-0 site-navigation">		

					<!-- <div class="site-navigation "> -->
		                        <div class="hamburger-menus">
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                            <span></span>
		                        </div>
		                        <nav class="navigation">
		                            <div class="overlaybg"></div><!--  /.overlaybg -->
		                            <!-- Main Menu -->
		                            <div class="menu-wrapper">
		                                <div class="menu-content">
		                                    <?php
		                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        } else {
		                                            wp_nav_menu ( array(
		                                                'menu_class' => 'mainmenu ht-clearfix',
		                                                'container'=> 'ul',
		                                                'theme_location' => 'primary',  
		                                            )); 
		                                        }
		                                    ?>
		                                </div> <!-- /.hours-content-->		                              

							<div class="clearfix"></div>
 
		                            </div><!-- /.menu-wrapper --> 
		                        </nav>
		                        <div class="clearfix"></div>
		                    </div><!--  /.site-navigation -->

		                    
						</div>
					</div><!-- col 12 icons -->

		                    <div class="clearfix"></div>
						  </div>
						</div>
						<div class="col-xl-3 col-lg-3 col-md-6 col-sm-6 col-xs-6 socials">
								<?php 
									$facebook = get_theme_mod('peccular_header_fb', '//facebook.com/');
									$twitter = get_theme_mod('peccular_header_tw', '//twitter.com/');	
									$instagram = get_theme_mod('peccular_header_instagram', '//instagram.com/');			
									$telegram = get_theme_mod('peccular_header_telegram', 'https://www.telegram.com');
								?>

								<div class="clearfix">
									<?php if(!empty($facebook)){ ?>
										<a href="<?php echo $facebook ?>" title="Facebook" class="site-button sharp" target="_blank"><i class="fa fa-facebook"></i></a>
									<?php }?>

									<?php if(!empty($twitter)){ ?>
										<a href="<?php echo $twitter ?>" title="Twitter" class="site-button sharp" target="_blank"><i class="fa fa-twitter"></i></a>
									<?php }?>
								
									<?php if(!empty($instagram)){ ?>
										<a href="<?php echo $instagram ?>" title="Instagram" class="site-button sharp" target="_blank"><i class="fa fa-instagram"></i></a>
									<?php }?>	

									<?php if(!empty($telegram)){ ?>
										<a href="<?php echo $telegram ?>" title="telegram" class="site-button sharp" target="_blank"><i class="fa fa-telegram"></i></a>
									<?php }?>								

								</div>
					</div>
					</div>
						</div>		
				<div class="clearfix"></div>
			</div>
						</div>
		 	</div>
			
			<!--end main top header-->	
					<div class="clearfix"></div>

</div>
	</header>

	 <?php }?>

	</div>