<?php 
    $wp_customize->add_section(
        'peccular_aboutus_section',
        array(
            'title' => __( 'About Us', 'peccular-premium' ),
            'panel' => 'peccular_premium_home_panel1',
            'priority' =>19
        )
    );  

$wp_customize->add_setting('peccular_aboutus_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    )); 

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_aboutus_nav', array(
       'section' => 'peccular_aboutus_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_aboutus_enable',
                'peccular_aboutus_image',
                'peccular_aboutus_section_lbl1',
                'peccular_aboutus_areas_lbl2',
                'peccular_aboutus_area_lbl',
                'peccular_aboutus_section_title1',
                'peccular_aboutus_npp_heading',
                'peccular_aboutus_npp_count',
                'peccular_aboutus_subtitle',
                'peccular_aboutus_section_experiencetext',
                'peccular_aboutus_section_experienceNo',
                'peccular_aboutus_section_heading1',
                'peccular_aboutus_section_icon1',
                'peccular_aboutus_section_title_1',                
                'peccular_aboutus_section_description_1',
                'peccular_aboutus_section_heading1',
                'peccular_aboutus_section_icon1',
                'peccular_aboutus_section_title_1',                
                'peccular_aboutus_section_description_1',
                'peccular_aboutus_section_heading2',
                'peccular_aboutus_section_icon2',
                'peccular_aboutus_section_title_2',                
                'peccular_aboutus_section_description_2',
                'peccular_aboutus_section_heading3',
                'peccular_aboutus_section_icon3',
                'peccular_aboutus_section_title_3',                
                'peccular_aboutus_section_description_3',
                'peccular_aboutus_section_heading4',
                'peccular_aboutus_section_icon4',
                'peccular_aboutus_section_title_4',                
                'peccular_aboutus_section_description_4',
                'peccular_aboutus_section_heading5',
                'peccular_aboutus_section_icon5',
                'peccular_aboutus_section_title_5',                
                'peccular_aboutus_section_description_5',
                'peccular_aboutus_section_heading6',
                'peccular_aboutus_section_icon6',
                'peccular_aboutus_section_title_6',                
                'peccular_aboutus_section_description_6',
                'peccular_aboutus_section_heading7',
                'peccular_aboutus_section_icon7',
                'peccular_aboutus_section_title_7',                
                'peccular_aboutus_section_description_7',
                'peccular_aboutus_section_heading8',
                'peccular_aboutus_section_icon8',
                'peccular_aboutus_section_title_8',                
                'peccular_aboutus_section_description_8',
                'peccular_aboutus_section_heading9',
                'peccular_aboutus_section_icon9',
                'peccular_aboutus_section_title_9',                
                'peccular_aboutus_section_description_9',
                'peccular_aboutus_section_heading10',
                'peccular_aboutus_section_icon10',
                'peccular_aboutus_section_title_10',                
                'peccular_aboutus_section_description_10'
                
               
            ),
            'active' => true,
         ),
          array( 
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_aboutus_section_bg_color',
                'peccular_aboutus_section_bg_image',
                'peccular_aboutus_image_opacity',
                'peccular_aboutus_box_onload_effects',
                'peccular_aboutus_head_align',                               
                'peccular_aboutus_sheading_color',
                'peccular_aboutus_sdescription_color',
                'peccular_aboutus_experinceBXBG_color',
                'peccular_aboutus_experinceBXNo_color',
                'peccular_aboutus_experinceBXNoBG_color',
                'peccular_aboutus_experinceBXText_color',
                'peccular_aboutus_icon_color',
                'peccular_aboutus_iconHover_color',
                'peccular_aboutus_iconBG_color',
                'peccular_aboutus_iconborder_color',                
                'peccular_aboutus_iconbg_color',
                'peccular_aboutus_title_color',
                'peccular_aboutus_content_color',
                'peccular_aboutus_titlehv_color',
                'peccular_aboutus_iconhv_color',                
                'peccular_aboutus_boxtitle_color',
                'peccular_aboutus_title25_color',
                'peccular_aboutus_title36_color',
                'peccular_aboutus_iconbghv_color1'


            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_aboutus_padding',
                'peccular_aboutus_section_t_padding',
                'peccular_aboutus_section_b_padding',
                'peccular_aboutus_section_width'
            ),
         )
        ), 
    )));

$wp_customize->add_setting( 'peccular_aboutus_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_aboutus_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_aboutus_section'
)));

    $wp_customize->add_setting( 'peccular_aboutus_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_aboutus_image', array(
        'label' => __('Left About Image','peccular'),
       'section' => 'peccular_aboutus_section',
    )));

    $wp_customize->add_setting('peccular_aboutus_section_lbl1', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_aboutus_section_lbl1',
        array(
            'settings'      => 'peccular_aboutus_section_lbl1',
            'section'       => 'peccular_aboutus_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Take Left Image size 598px x 616px  ', 'peccular Premium' ),
        )
    )
);


$wp_customize->add_setting(
    'peccular_aboutus_section_title1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'WELCOME TO WOOD WORKSHOP', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_aboutus_section_title1',
    array(
        'settings'      => 'peccular_aboutus_section_title1',
        'section'       => 'peccular_aboutus_section', 
        'type'          => 'text',
        'label'         => __( 'Section Title', 'peccular-premium' )
    )
);


$wp_customize->add_setting(
    'peccular_aboutus_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna Lorem ipsum dolor ut labore et dolore magna Lorem ipsum dolor.', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_aboutus_subtitle',
    array(
        'settings'      => 'peccular_aboutus_subtitle',
        'section'       => 'peccular_aboutus_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Description', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_aboutus_section_experienceNo',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '12', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_aboutus_section_experienceNo',
    array(
        'settings'      => 'peccular_aboutus_section_experienceNo',
        'section'       => 'peccular_aboutus_section', 
        'type'          => 'text',
        'label'         => __( 'Experience Number', 'peccular-premium' )
    )
);


$wp_customize->add_setting(
    'peccular_aboutus_section_experiencetext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'YEAR OF EXPERIENCE', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_aboutus_section_experiencetext',
    array(
        'settings'      => 'peccular_aboutus_section_experiencetext',
        'section'       => 'peccular_aboutus_section', 
        'type'          => 'text',
        'label'         => __( 'Experience Text', 'peccular-premium' )
    )
);


// lzCustomLable($wp_customize, 'peccular_aboutus_areas_lbl2', 'peccular_aboutus_section', 'About Us Setting :');

$wp_customize->add_setting('peccular_aboutus_area_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_aboutus_area_lbl',
        array(
            'settings'      => 'peccular_aboutus_area_lbl',
            'section'       => 'peccular_aboutus_section',
            'label'         => __( 'Note1:', 'peccular' ),  
            'description'   => __( 'Changes will not reflect unless you select an icon for page', 'peccular' ),
        )
    )
);

$wp_customize->add_setting('peccular_aboutus_npp_heading',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_aboutus_npp_heading',
        array(
            'settings'      => 'peccular_aboutus_npp_heading',
            'section'       => 'peccular_aboutus_section',
            'label'         => __( 'Number Of Plans', 'peccular-premium' ), 
        )
    )
);    
$wp_customize->add_setting('peccular_aboutus_npp_count',array('sanitize_callback' => 'peccular_sanitize_text','default' => 3));
$wp_customize->add_control(
    'peccular_aboutus_npp_count',
    array(
        'settings'      => 'peccular_aboutus_npp_count',
        'section'       => 'peccular_aboutus_section',
        'type'          => 'select',
        'label'         => __( 'Number Of Plan To Show', 'peccular-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10)
    )
);
for( $i = 1; $i <= 10; $i++ ){
    $wp_customize->add_setting(
        'peccular_aboutus_section_heading'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_aboutus_section_heading'.$i,
            array(
                'settings'      => 'peccular_aboutus_section_heading'.$i,
                'section'       => 'peccular_aboutus_section',
                'label'         => __( 'Plan ', 'peccular-premium' ).$i
            )
        )
    );

 $wp_customize->add_setting(
        'peccular_aboutus_section_icon'.$i,
        array(
            'default'           => 'fa fa-subway',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_aboutus_section_icon'.$i,
            array(
                'settings'      => 'peccular_aboutus_section_icon'.$i,
                'section'       => 'peccular_aboutus_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
            )
        )
    );
lzAddElement($wp_customize, 'peccular_aboutus_section_title_'.$i, 'peccular_aboutus_section', $type = 'text', $label="Title", $callback ='peccular_sanitize_text', $default='Manufactur Furniture');

lzAddElement($wp_customize, 'peccular_aboutus_section_description_'.$i, 'peccular_aboutus_section', $type = 'textarea', $label="Content", $callback ='peccular_sanitize_text', $default='There are many variations of passages of Lorem Ipsum');
} 


$wp_customize->add_setting( 'peccular_aboutus_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_aboutus_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_aboutus_section',
    )));

$wp_customize->add_setting( 'peccular_aboutus_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_aboutus_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_aboutus_section',
    )));
    

     $wp_customize->add_setting('peccular_aboutus_image_opacity',array(
        'default' => 0.7,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_aboutus_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_aboutus_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));


    $wp_customize->add_setting('peccular_aboutus_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_aboutus_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Block Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_aboutus_section',
    ));

         $wp_customize->add_setting('peccular_aboutus_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_aboutus_head_align',array(
        'type' => 'select',
        'label' => __('Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_aboutus_section',
    ));


    $wp_customize->add_setting('peccular_aboutus_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_aboutus_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_aboutus_section'
   ));

    $wp_customize->add_setting('peccular_aboutus_section_t_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_aboutus_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_aboutus_section',
    ));
     $wp_customize->add_setting('peccular_aboutus_section_b_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_aboutus_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_aboutus_section',
    ));

    $wp_customize->add_setting('peccular_aboutus_section_width',array(
        'default' => 'Full Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_aboutus_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_aboutus_section',
    ));



addColorPalatOption($wp_customize, 'peccular_aboutus_sheading_color', 'peccular_aboutus_section', 'Section Heading Color', '');

addColorPalatOption($wp_customize, 'peccular_aboutus_sdescription_color', 'peccular_aboutus_section', 'Section Description Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_experinceBXBG_color', 'peccular_aboutus_section', 'Experince Box BG Color', '');

addColorPalatOption($wp_customize, 'peccular_aboutus_experinceBXNo_color', 'peccular_aboutus_section', 'Number Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_experinceBXNoBG_color', 'peccular_aboutus_section', ' Number BG Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_experinceBXText_color', 'peccular_aboutus_section', ' Text Color', '');

addColorPalatOption($wp_customize, 'peccular_aboutus_icon_color', 'peccular_aboutus_section', 'Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_iconHover_color', 'peccular_aboutus_section', 'Icon Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_iconBG_color', 'peccular_aboutus_section', 'Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_iconbghv_color1', 'peccular_aboutus_section', 'Icon Hover BG Color', '');

addColorPalatOption($wp_customize, 'peccular_aboutus_boxtitle_color', 'peccular_aboutus_section', 'Title Color', '');

addColorPalatOption($wp_customize, 'peccular_aboutus_titlehv_color', 'peccular_aboutus_section', 'Title Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_aboutus_content_color', 'peccular_aboutus_section', 'Content Color', '');

?>