<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_contact_pages' , array(
        'title'    => __( 'Contact Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

    $wp_customize->add_setting('peccular_contactpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contactpages_nav', array(
       'section' => 'peccular_contact_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                
                'peccular_contactpage_address2',
                'peccular_contact_page_phone_label',
                'peccular_contact_page_phone',             
                'peccular_contact_page_email_label',                
                'peccular_contact_page_email',   
                'peccular_contctLeft_socials_display',      
                'contact_page_iframe_shortcode',       
                'peccular_contactpage_form_shortcode',                
                'peccular_contact_page_formtitle1',
                'peccular_contact_page_addresslabel',
                'peccular_contform_subtitle',
                'peccular_rightsideData_lbl',
                'peccular_cont_maintitle',
                'peccular_cont_text',
                'peccular_contform_maintitle'           


            ),
            'active' => true,
         ),      
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
                'peccular_contactpage_content_align',            
                'peccular_contactpage_box_onload_effects',
                'peccular_contactpage_lheading_color',
                'peccular_contactpage_lheadingtext_color',
                'peccular_contactpage_rheading_color',
                'peccular_contactpage_rheadingtext_color',
                'peccular_contact_page_formtext_color',
                'peccular_contact_page_formborder_color',
                'peccular_contactpage_formbtnbg_color1',
                'peccular_contactpage_formbtntext_color',
                'peccular_contact_page_formbtnbghov_color1',
                'peccular_rightsideData_colorlbl',
                'peccular_contact_pagee_formbtntexthv_color',
                'peccular_contactpage_addlbl_color',
                'peccular_contactpage_addlblIcon_color',
                'peccular_contactpage_addtext1_color',
                'peccular_contactpage_addtexLinkHpover_color',
                'peccular_contactpage_SocialIcon_color',
                'peccular_contactpage_SocialIconRHTbrdr_color',
                'peccular_contactpage_SocialIconHover_color',
                'peccular_contactpage_rightBoxBGContat_color',
                'peccular_contactpage_rightMiddleOverlyBG_color',

            ),
         )
        ),
    )));
$wp_customize->add_setting(
    'peccular_contform_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Enquiry Now', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contform_maintitle',
    array(
        'settings'      => 'peccular_contform_maintitle',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text', 
        'label'         => __( 'Contact Form Title', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contform_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form.', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contform_subtitle',
    array(
        'settings'      => 'peccular_contform_subtitle',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Contact Form Text', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_form_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add Form [SHORTCODE] Here', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_form_shortcode',
    array(
        'settings'      => 'peccular_contactpage_form_shortcode',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode', 'peccular' )
    )
);

$wp_customize->add_setting('peccular_rightsideData_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_rightsideData_lbl',
        array(
            'settings'      => 'peccular_rightsideData_lbl',
            'section'       => 'peccular_contact_pages',
            'label'         => __( 'Right Side Contact Details ', 'peccular' ),
        )
    )
); 

$wp_customize->add_setting(
    'peccular_cont_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Contact Info', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_cont_maintitle',
    array(
        'settings'      => 'peccular_cont_maintitle',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Contact Main Title', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_cont_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration .', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_cont_text',
    array(
        'settings'      => 'peccular_cont_text',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Contact Main Text', 'peccular' )
    )
);




$wp_customize->add_setting(
    'peccular_contact_page_addresslabel',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Address :', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_addresslabel',
    array(
        'settings'      => 'peccular_contact_page_addresslabel',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Address Label', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_address2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Brooklyn, New York 12124', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_address2',
    array(
        'settings'      => 'peccular_contactpage_address2',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Address Text', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_page_phone_label',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Phone :', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_phone_label',
    array(
        'settings'      => 'peccular_contact_page_phone_label',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone Label', 'peccular' )
    )
);
$wp_customize->add_setting(
    'peccular_contact_page_phone',
    array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default'           => __( '+8888 22 723', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_phone',
    array(
        'settings'      => 'peccular_contact_page_phone',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_page_email_label',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Email :', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_email_label',
    array(
        'settings'      => 'peccular_contact_page_email_label',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email label', 'peccular' )
    )
);
$wp_customize->add_setting(
    'peccular_contact_page_email',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'contact@example.com', 'peccular' )
    )
); 
$wp_customize->add_control(
    'peccular_contact_page_email',
    array(
        'settings'      => 'peccular_contact_page_email',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email Text', 'peccular' )
    )
);

    // to show & hide Social Icon
$wp_customize->add_setting( 'peccular_contctLeft_socials_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_contctLeft_socials_display', array( 'label' => 'Social Icons Display', 'section' => 'peccular_contact_pages', 'settings' => 'peccular_contctLeft_socials_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Social Icons', 'hide' => 'Hide Social Icons', ), ) );

$wp_customize->add_setting('contact_page_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('contact_page_iframe_shortcode', array('settings'=>'contact_page_iframe_shortcode', 'section'=>'peccular_contact_pages','type'=>'textarea', 'label'=> __('Embed Code for map', 'peccular')));

     $wp_customize->add_setting('peccular_contactpage_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contactpage_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));
addColorPalatOption($wp_customize, 'peccular_contactpage_rheading_color', 'peccular_contact_pages', 'Left Heading Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_rheadingtext_color', 'peccular_contact_pages', 'Left Description Color ', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_formtext_color', 'peccular_contact_pages', 'Form Text Color ', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_formborder_color', 'peccular_contact_pages', 'Form Border Color ', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_formbtnbg_color1', 'peccular_contact_pages', 'Form Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbtntext_color', 'peccular_contact_pages', 'Form Button Text Color', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_formbtnbghov_color1', 'peccular_contact_pages', 'Form Button Hover BG color', '');
addColorPalatOption($wp_customize, 'peccular_contact_pagee_formbtntexthv_color', 'peccular_contact_pages', 'Form Button Hover Text color', '');

$wp_customize->add_setting('peccular_rightsideData_colorlbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_rightsideData_colorlbl',
        array(
            'settings'      => 'peccular_rightsideData_colorlbl',
            'section'       => 'peccular_contact_pages',
            'label'         => __( 'Right Side Contact Colors ', 'peccular' ),
        )
    )
); 


addColorPalatOption($wp_customize, 'peccular_contactpage_lheading_color', 'peccular_contact_pages', 'Main Heading Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_lheadingtext_color', 'peccular_contact_pages', 'Description Color ', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_addlblIcon_color', 'peccular_contact_pages', 'Address/Phone/Mail Icon Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_addlbl_color', 'peccular_contact_pages', 'Address/Phone/Mail Lable Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_addtext1_color', 'peccular_contact_pages', 'Address/Phone/Mail Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_addtexLinkHpover_color', 'peccular_contact_pages', 'Phone/Mail Link Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_SocialIcon_color', 'peccular_contact_pages', 'Social Icon Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_SocialIconRHTbrdr_color', 'peccular_contact_pages', 'Social Icon Border Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_SocialIconHover_color', 'peccular_contact_pages', 'Social Icon Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_rightBoxBGContat_color', 'peccular_contact_pages', 'Right Contact Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_rightMiddleOverlyBG_color', 'peccular_contact_pages', 'Right Middle Box Overlay Color', '');
?>