<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_service_inner_pages' , array(
        'title'    => __( 'Service Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) ); 

    $wp_customize->add_setting('peccular_serviceinnerpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_serviceinnerpages_nav', array(
       'section' => 'peccular_service_inner_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'service_featured_img_on_off',
                'peccular_serviceinnerpage_post_image_height'            
                              
                //'service_socials_on_off'
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_serviceinnpage_title_color',               
                'peccular_serviceinnpage_btntext_color',
                'peccular_serviceinnpage_content_color',
                'peccular_serviceinnpage_btntexthov_color',
                'peccular_serviceinnpage_btnbghov_color',    
                'peccular_serviceinnpage_btnicon_color',          
                'peccular_serviceinnpage_btniconHover_color',  
                'peccular_serviceinnpage_titlehov_color',               
                'peccular_serviceinnpage_imgHoverOvrly_color',
                'peccular_serviceinnpage_btnbg_color'
                
                
            ),
         )
        ),
    )));



$wp_customize->add_setting(
    'service_featured_img_on_off',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'service_featured_img_on_off',
        array(
            'settings'      => 'service_featured_img_on_off',
            'section'       => 'peccular_service_inner_pages',
            'label'         => __( 'Show Thumbnail Image', 'peccular-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'peccular-premium' ),
                'off' => __( 'No', 'peccular-premium' )
            ),
        )
    )
);


// $wp_customize->add_setting('peccular_serviceinnerpage_post_image_height',array(
//         'default' => 260,
//         'sanitize_callback' => 'peccular_sanitize_integer'
//     ));
//     $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_serviceinnerpage_post_image_height',array(
//     'label' => __('Feature Image Height','peccular'),
//     'section' => 'peccular_service_inner_pages',
//     'input_attrs' => array(
//             'min' => 0,
//             'max' => 1000,
//             'step' => 1,
//         ),
//     )));

addColorPalatOption($wp_customize, 'peccular_serviceinnpage_title_color', 'peccular_service_inner_pages', 'Service Title color', '');
addColorPalatOption($wp_customize, 'peccular_serviceinnpage_titlehov_color', 'peccular_service_inner_pages', 'Service Title Hover color', '');
addColorPalatOption($wp_customize, 'peccular_serviceinnpage_content_color', 'peccular_service_inner_pages', 'Text Color', '');

addColorPalatOption($wp_customize, 'peccular_serviceinnpage_btntext_color', 'peccular_service_inner_pages', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_serviceinnpage_btntexthov_color', 'peccular_service_inner_pages', 'Button Text Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_serviceinnpage_btnbg_color', 'peccular_service_inner_pages', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_serviceinnpage_btnbghov_color', 'peccular_service_inner_pages', 'Button BG  Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_serviceinnpage_btnicon_color', 'peccular_service_inner_pages', 'Button Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_serviceinnpage_btniconHover_color', 'peccular_service_inner_pages', 'Button Icon Hover Color', '');


addColorPalatOption($wp_customize, 'peccular_serviceinnpage_imgHoverOvrly_color', 'peccular_service_inner_pages', 'Image Hover Overlay Color', '');
?>