<?php
/**
 * Template Name: Contact Page
 *
 * @package peccular Premium
 */ 
get_header(); 
?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header2" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','360')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  >
<?php if( get_theme_mod('peccular_innerHeaderOverlyImg_display','show' ) == 'show') :
                                ?>
    <div class="innerPage-overlay-img">
        <?php echo '<img class="slide-img" alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/slider-overlay.png">';?>
    </div>

     <?php endif ?>
  <div class="peccular-innerpage-overlay"></div> 
    <div class="pageTitleBox">
<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
 <?php } ?> 
 <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
 <?php } ?>  
 </div> 

</header><!-- .entry-header --> 

<div class="clearfix"></div>
</div>
<main id="innerpage-box">
		<div class="inner_contentbox">
		<?php 


		
		$peccular_contact_page_addresslabel = get_theme_mod('peccular_contact_page_addresslabel', 'Address :');
		$peccular_contactpage_address2 = get_theme_mod('peccular_contactpage_address2', 'Brooklyn, New York 12124');

		$peccular_contact_page_phone_label = get_theme_mod('peccular_contact_page_phone_label', 'Phone :');
		$peccular_contact_page_phone = get_theme_mod('peccular_contact_page_phone', '+8888 22 723');
		
		$peccular_contact_page_email_label = get_theme_mod('peccular_contact_page_email_label', 'Email :');
		$peccular_contact_page_email = get_theme_mod('peccular_contact_page_email', 'contact@example.com');	
		
		$peccular_contact_page_form_shortcode = get_theme_mod('peccular_contactpage_form_shortcode', 'Add Form [SHORTCODE] Here');
			
	    $peccular_cont_text = get_theme_mod('peccular_cont_text','There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration .'); 
	    $peccular_cont_maintitle = get_theme_mod('peccular_cont_maintitle', 'Contact Info');

	    $peccular_contform_maintitle = get_theme_mod('peccular_contform_maintitle', 'Enquiry Now');
	      $peccular_contform_subtitle = get_theme_mod('peccular_contform_subtitle', 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form.');
	    
     	?>
     <div id="peccular-contactus-wrap">  
     	<div class="<?php if(get_theme_mod('peccular_about_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_about_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">     

	<div class="row">
		<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">


		<?php if(!empty($peccular_contact_page_form_shortcode)){ ?>
						
			<div class="peccular-contact-page-form <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">	


				<?php if($peccular_contform_maintitle || $peccular_contform_subtitle){ ?> 	           
		              <h2><?php echo ($peccular_contform_maintitle);  ?></h2>              
		              <p><?php echo ($peccular_contform_subtitle);  ?></p>          
		        <?php }?>							
				<?php echo do_shortcode($peccular_contact_page_form_shortcode);?>
			</div>
						
		<?php }?>
	
		</div>
		<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 right_contactData_block <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
			<div class="rightMiidle_Overlay"></div>
	<div class="peccular-contact-form-block ">
		<div class="right_contact_details">

			<?php if($peccular_cont_maintitle || $peccular_cont_subtitle){ ?>                 
	           
	              <h2><?php echo ($peccular_cont_maintitle);  ?></h2>              
	              <p><?php echo ($peccular_cont_text);  ?></p>                  
	          
	        <?php }?>

	        	<div class="about_info">
	        		<?php if($peccular_contact_page_phone_label || $peccular_contact_page_phone){ ?>
						<ul class="phoneContct">
							<li><i class="fa fa-phone" aria-hidden="true"></i></li>
							<li><span><?php echo $peccular_contact_page_phone_label ;?> </span><a class="peccular-contact-data" href="tel:<?php echo $peccular_contact_page_phone;?>"><?php echo $peccular_contact_page_phone ;?></a></li>
						</ul>
						  <?php }?>
						  <?php if($peccular_contact_page_email_label || $peccular_contact_page_email){ ?>
						<ul class="emailContct">
							<li><i class="fa fa-envelope-o" aria-hidden="true"></i></li>
							<li><span><?php echo $peccular_contact_page_email_label ;?> </span><a class="peccular-contact-data" href="mailto:<?php echo $peccular_contact_page_email;?>"> <?php echo $peccular_contact_page_email ;?></a></li>
						</ul>
						<?php }?>
						<?php if($peccular_contact_page_addresslabel || $peccular_contactpage_address2){ ?>

						<ul class="addressContct">
							<li><i class="fa fa-map-marker" aria-hidden="true"></i></li>
							<li><span><?php echo $peccular_contact_page_addresslabel ;?></span><?php echo $peccular_contactpage_address2 ;?></li>
						</ul>
						<?php }?>
					</div>	
					<div class="clearfix"></div>	
					<?php if( get_theme_mod('peccular_contctLeft_socials_display','show' ) == 'show') :
                        ?>
						 <div class="peccular-contactLeft-social-icon">                                             
		                      <a target="_blank" href="http://facebook.com" class="wow fadeInDown" data-wow-duration="1s"><i class="fa fa-facebook"></i></a>
		                        <a target="_blank" href="http://instagram.com" class="wow fadeInDown" data-wow-duration="3s"><i class="fa fa-instagram"></i></a>
		                        <a target="_blank" href="http://pinterest.com" class="wow fadeInDown" data-wow-duration="3s"><i class="fa fa-pinterest-p"></i></a>
		                        <a target="_blank" href="http://twitter.com" class="wow fadeInDown" data-wow-duration="3s"><i class="fa fa-twitter"></i></a>
	                     </div>	 
                       <?php endif ?>
						
			</div>
    	</div>
				
		</div>	
	</div>
	<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
						<?php 
						    $contact_page_iframe_shortcode = get_theme_mod('contact_page_iframe_shortcode', 'Add Map Embed Code Here');
						?>

						<div class=" contact-contact-mapbox <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
							<div class="bgOverlayMap"></div>
								<?php if(!empty($contact_page_iframe_shortcode)){ ?>
								<?php echo ($contact_page_iframe_shortcode);  ?>
								<?php }?>					
						</div>
						
					</div>
</div><!-- container-->	
	</div>	<!-- peccular-contactus-wrap-->	
						
		
	</div>
</main>
<?php get_footer(); ?>