<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package peccular
 */
get_header(); ?>
 <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header2" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','360')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  >
<?php if( get_theme_mod('peccular_innerHeaderOverlyImg_display','show' ) == 'show') :
                                ?>
    <div class="innerPage-overlay-img">
        <?php echo '<img class="slide-img" alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/slider-overlay.png">';?>
    </div>

     <?php endif ?>
  <div class="peccular-innerpage-overlay"></div> 
    <div class="pageTitleBox">
<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
 <?php } ?> 
 <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
 <?php } ?>  
 </div> 

</header><!-- .entry-header --> 

<div class="clearfix"></div>
</div>
<div class="single-productpage">
<main id="innerpage-box">
		<?php
			//if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
			//get_header('shop'); ?>
			<div id="page" class="container" >
				<div class="inner_contentbox" >
				<article id="content" class="article">

<?php if (get_theme_mod('peccular__shoppage_layout') == '1' ) { ?>
    <div class="row md-1">
        <div class="col-lg-9 col-md-8 col-sm-8 col-xs-12">	
            <?php if ( have_posts() ) : ?>						
				<?php do_action( 'woocommerce_before_shop_loop' ); ?>
				<?php woocommerce_product_loop_start(); ?>
				<?php woocommerce_product_subcategories(); ?>
				<div class="row">
			<?php while ( have_posts() ) : the_post(); ?>
				<?php wc_get_template_part( 'content', 'product' ); ?>				
			<?php endwhile; // end of the loop. ?>
			</div>
				<?php woocommerce_product_loop_end(); ?>
				<?php do_action( 'woocommerce_after_shop_loop' ); ?>
				<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
				<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
			<?php endif; ?>		
        </div><!-- #main -->
        <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12 product-page">
			<?php if( get_theme_mod('cd_button_display','show' ) == 'show') :
		  		?>
		  		<div class='button'><?php get_sidebar( 'peccular-shop-sidebar'); ?></div>
		  	<?php endif ?>
		</div>
	</div>

 <?php } else if (get_theme_mod('peccular__shoppage_layout') == '0' ) {?>
	<div class="row md-1">
    	<div class="col-lg-9 col-md-8 col-sm-8 col-xs-12">
    		
        <?php if ( have_posts() ) : ?>						
			<?php do_action( 'woocommerce_before_shop_loop' ); ?>
			<?php woocommerce_product_loop_start(); ?>
			<?php woocommerce_product_subcategories(); ?>
			
			<?php while ( have_posts() ) : the_post(); ?>
				<?php wc_get_template_part( 'content', 'product' ); ?>				
			<?php endwhile; // end of the loop. ?>
		
			<?php woocommerce_product_loop_end(); ?>
			<?php do_action( 'woocommerce_after_shop_loop' ); ?>
			<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
			<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
		<?php endif; ?>	
	
		 </div><!-- #main -->
		 <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12 product-page">
			<?php if( get_theme_mod('cd_button_display','show' ) == 'show') :
		  		?>
		  		<div class='button'><?php get_sidebar( 'peccular-shop-sidebar'); ?></div>
		  	<?php endif ?>
		</div>	

	</div>

<?php } if (get_theme_mod('peccular__shoppage_layout') == '2' ) { ?>
    <div class="row md-1">
		 <div class="col-lg-3 col-md-34 col-sm-4 col-xs-12 product-page">
			<?php if( get_theme_mod('cd_button_display','show' ) == 'show') :
		  		?>
		  		<div class='button'><?php get_sidebar( 'peccular-shop-sidebar'); ?></div>
		  	<?php endif ?>
		</div>
       <div class="col-lg-9 col-md-8 col-sm-8 col-xs-12">	
            <?php if ( have_posts() ) : ?>						
			<?php do_action( 'woocommerce_before_shop_loop' ); ?>
			<?php woocommerce_product_loop_start(); ?>
			<?php woocommerce_product_subcategories(); ?>
			<div class="row">
			<?php while ( have_posts() ) : the_post(); ?>
				<?php wc_get_template_part( 'content', 'product' ); ?>				
			<?php endwhile; // end of the loop. ?>
			</div>
			<?php woocommerce_product_loop_end(); ?>
			<?php do_action( 'woocommerce_after_shop_loop' ); ?>
			<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
			<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
		<?php endif; ?>		
        </div><
    </div>
<?php } ?>
					<div class="clearfix"></div>
				</article>
				<?php /*do_action('woocommerce_sidebar');*/ ?>
				<?php //get_sidebar(); ?>	
				<div class="clearfix"></div>
			</div>
				<div class="clearfix"></div>
			</div>	
	</main><!-- #main -->
</div>
<?php get_footer(); ?>
